Page MenuHomePhabricator

Pasting text with paragraph break results in a single newline
Closed, ResolvedPublic

Description

Steps to reproduce:

  1. Edit a page in "Source editing" mode
  2. Copy text that contains paragraph break and some formatting (e.g. content of https://www.mediawiki.org/wiki/User:Sebastian_Berlin_(WMSE)/Newline ).
  3. Paste into editor.
  4. Select "Convert to wikitext" in the popup.

Actual result:
Pasted text contains only one newline, which is rendered as a space.

Expected result:
Pasted text contains two newlines.

Additional information:
Using Firefox 60.0.1

Event Timeline

Restricted Application added a project: VisualEditor. · View Herald TranscriptJun 13 2018, 10:35 AM

Change 440101 had a related patch set uploaded (by Esanders; owner: Esanders):
[VisualEditor/VisualEditor@master] SourceSurfaceFragment: Use own insertContent function inside insertDocument

https://gerrit.wikimedia.org/r/440101

Change 440101 merged by jenkins-bot:
[VisualEditor/VisualEditor@master] SourceSurfaceFragment: Use own insertContent function inside insertDocument

https://gerrit.wikimedia.org/r/440101

Change 440169 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/VisualEditor@master] Update VE core submodule to master (fea37bcd2)

https://gerrit.wikimedia.org/r/440169

Change 440169 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Update VE core submodule to master (fea37bcd2)

https://gerrit.wikimedia.org/r/440169

Deskana triaged this task as Normal priority.Jun 18 2018, 3:38 PM
Deskana closed this task as Resolved.
Ryasmeen edited projects, added Verified-in-Phase0; removed Verified.
Vvjjkkii renamed this task from Pasting text with paragraph break results in a single newline to k4aaaaaaaa.Jul 1 2018, 1:04 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii raised the priority of this task from Normal to High.
Vvjjkkii removed Esanders as the assignee of this task.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii edited subscribers, added: Esanders; removed: gerritbot.
CommunityTechBot assigned this task to Esanders.
CommunityTechBot lowered the priority of this task from High to Normal.
CommunityTechBot closed this task as Resolved.
CommunityTechBot renamed this task from k4aaaaaaaa to Pasting text with paragraph break results in a single newline.
CommunityTechBot edited subscribers, added: gerritbot; removed: Esanders.